/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 画面位置及びサイズ設定
	//window.moveTo(0, 0);
	//window.resizeTo(1024, 740);
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// フォーカス設定
	if (getFormValue(PRM_TXT_USER_ID) == "") {
		setFocus(PRM_TXT_USER_ID);
	} else {
		setFocus(PRM_TXT_PASS);
	}
}

/**
 * サーバー通信時処理
 * @param objForm フォームオブジェクト
 * @param cmd     コマンド
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 問合中フラグ確認
	if (inquiring) {
		return;
	}
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_USER_ID, NAM_USER_ID, aryMessage);
	checkRequired(PRM_TXT_PASS   , NAM_PASS,    aryMessage);
	checkCode    (PRM_TXT_USER_ID, NAM_USER_ID, aryMessage);
	checkCode    (PRM_TXT_PASS   , NAM_PASS,    aryMessage);
	if (aryMessage.length != 0) {
		showMessage(aryMessage);
		return false;
	}
	// サーバー通信
	setFormValue("hdnPass", encrypt(getFormValue(PRM_TXT_PASS)));
	setFormValue(PRM_TXT_PASS, getDummy(getFormValue(PRM_TXT_PASS)));
	doSubmit(objForm, cmd);
}

function onLoginKeyDown(e) {
	if (e.keyCode == 13) {
		submitForm(document.form, 'C1020');
	}
}
